Defectos críticos no parchados en dispositivos de almacenamiento ‘My Cloud’ de Western Digital

Los investigadores de seguridad han descubierto varias vulnerabilidades graves y una puerta trasera secreta codificada en los dispositivos My Cloud NAS de Western Digital que podrían permitir a los atacantes remotos obtener acceso raíz sin restricciones al dispositivo.

My Cloud (WDMyCloud) de Western Digital es uno de los dispositivos de almacenamiento conectados a la red más populares que utilizan individuos y empresas para alojar sus archivos, y hacer copias de seguridad y sincronizarlos automáticamente con varios servicios en la nube y basados ​​en la web.

western-digital-mycloud

El dispositivo permite a los usuarios compartir archivos en una red doméstica, pero la función de nube privada también les permite acceder a sus datos desde cualquier lugar en cualquier momento.

Dado que estos dispositivos se han diseñado para conectarse a través de Internet, la puerta trasera codificada dejaría abiertos los datos del usuario a los piratas informáticos.

El equipo de investigación y desarrollo de GulfTech publicó recientemente un aviso que detalla una puerta trasera codificada y varias vulnerabilidades que encontró en los dispositivos de almacenamiento WD My Cloud que podrían permitir a los atacantes remotos inyectar sus propios comandos y cargar y descargar archivos confidenciales sin permiso.

Cabe destacar que James Bercegay de GulfTech contactó al vendedor e informó los problemas en junio del año pasado. El vendedor confirmó las vulnerabilidades y solicitó un período de 90 días hasta la divulgación completa.

El 3 de enero (eso es casi después de 180 días), GulfTech divulgó públicamente los detalles de las vulnerabilidades, que aún no están corregidas.

La falla de carga de archivos sin restricciones conduce a la explotación remota

Como su nombre indica, esta vulnerabilidad permite a un atacante remoto cargar un archivo arbitrario en el servidor que se ejecuta en los dispositivos de almacenamiento vulnerables conectados a Internet.

La vulnerabilidad reside en el script “multi_uploadify.php” debido a la implementación incorrecta de la función PHP gethostbyaddr () por parte de los desarrolladores.

Esta vulnerabilidad también se puede explotar fácilmente para obtener un shell remoto como raíz. Para esto, todo lo que un atacante tiene que hacer es enviar una solicitud posterior que contenga un archivo para cargar utilizando el parámetro Filedata [0], una ubicación para el archivo que se cargará a la que se especifica dentro del parámetro “carpeta”, y un falso ” Host “encabezado.

El investigador también ha escrito un módulo Metasploit para explotar esta vulnerabilidad.

“El módulo [metasploit] usará esta vulnerabilidad para cargar una webshell de PHP en el directorio” / var / www / “. Una vez cargada, la shell web se puede ejecutar solicitando un URI apuntando a la puerta trasera y desencadenando así la carga útil”. el investigador escribe.

 

La puerta trasera de código rígido conduce a la explotación remota

Los investigadores también encontraron la existencia de una “puerta trasera clásica” con el nombre de usuario de administrador “mydlinkBRionyg” y la contraseña “abc12345cba”, que está codificada en el binario y no puede modificarse.

Por lo tanto, cualquiera puede iniciar sesión en los dispositivos WD My Cloud con estas credenciales.

Además, al utilizar este acceso de puerta trasera, cualquiera puede acceder al código de error que es vulnerable a la inyección de comando y engendrar un shell raíz.

“La trivialidad de explotar este problema lo hace muy peligroso e incluso desprendible”, señala el investigador. “No solo eso, sino que los usuarios bloqueados en una LAN tampoco están seguros”.

“Un atacante podría literalmente controlar tu WDMyCloud simplemente haciendo que visites un sitio web donde un iframe incrustado o una etiqueta img hagan una solicitud al dispositivo vulnerable usando uno de los muchos nombres de host predecibles para WDMyCloud como ‘wdmycloud’ y ‘wdmycloudmirror’ etc. “

 

Otras vulnerabilidades en My Cloud de Western Digital

Además de estas dos vulnerabilidades críticas mencionadas anteriormente, los investigadores también informaron algunos otros defectos importantes que se explican a continuación:

Falsificación de solicitudes entre sitios:

Debido a que no existe una protección XSRF real dentro de la interfaz web de WD My Cloud, cualquier sitio malicioso puede hacer que el navegador web de una víctima se conecte a un dispositivo My Cloud en la red y lo comprometa.

Simplemente visitar un sitio web con trampas explosivas sería suficiente para perder el control de su dispositivo My Cloud.

Inyección de comando:

En marzo del año pasado, un miembro del equipo Exploitee.rs descubrió varios problemas de inyección de comandos dentro de los dispositivos WD My Cloud, que se pueden combinar con la falla XSRF para obtener el control completo (acceso raíz) del dispositivo afectado.

Desafortunadamente, el equipo de GulfTech también descubrió algunos fallos de inyección de comando.

Negación de servicio:

Los investigadores también encontraron que dado que cualquier usuario no autenticado puede establecer las preferencias de idioma global para todo el dispositivo de almacenamiento y todos sus usuarios, es posible que un atacante abuse de esta funcionalidad y cause una condición DoS a la interfaz web.

Divulgación de información:

Según los investigadores, es posible que un atacante ejecute una lista de todos los usuarios, incluida la información detallada del usuario sin requerir ninguna autenticación, simplemente haciendo uso de una simple solicitud al servidor web de esta manera: GET /api/2.1/rest/ usuarios? HTTP / 1.1

Versiones y modelos de firmware de My Cloud afectados

La versión de firmware 2.30.165 y anteriores de Western Digital en My Cloud y My Cloud Mirror se ven afectadas por todas las vulnerabilidades mencionadas anteriormente.

Los modelos de dispositivos afectados incluyen My Cloud Gen 2, My Cloud PR2100, My Cloud PR4100, My Cloud EX2 Ultra, My Cloud EX2, Mi Cloud EX4, My Cloud EX2100, My Cloud EX4100, My Cloud DL2100 y My Cloud DL4100.

Los módulos Metasploit para todas las vulnerabilidades se han lanzado en línea.

Fuente: thehackernews.com

Please follow and like us: